/*
 * @Descripttion: 
 * @version: 
 * @Author: ysh
 * @Date: 2022-09-06 22:30:46
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-09-21 17:33:35
 */
import request from '@/utils/request'

// 点击项目获取对应的成果
export function getAchievementByProject(params){
  return request({
    url: '/file/achievement/getAchievementByProject',
    method: 'get',
    params: params
  })
}
// 查询成果列表
export function listAchievement(params){
  return request({
    url: '/file/achievement/list',
    method: 'get',
    params: params
  })
}
// 新增成果列表
export function addAchievement(data) {
  return request({
    url: '/file/achievement',
    headers:{
			'Content-Type': 'multipart/form-data'
		},
    method: 'post',
    data: data
  })
}
// 修改成果列表
export function updateAchievement(data) {
  return request({
    url: '/file/achievement/edit',
    headers:{
			'Content-Type': 'multipart/form-data'
		},
    method: 'post',
    data: data
  })
}

// 删除成果列表
export function delAchievement(id) {
  return request({
    url: '/file/achievement/' + id,
    method: 'delete'
  })
}

// 上传成果表EXCEL
export function uploadAchievementSheet(params){
  return request({
    url: '/file/achievement/uploadSheet',
    method: 'post',
    params: params
  })
}

// 导出成果表
export function exportAchievementSheet(){
  
}